apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: mon-infra
  namespace: argocd
spec:
  destination:
    namespace: argocd
    server: https://kubernetes.default.svc
  source:
    path: environments/mon-infra/us-east-1/
    repoURL: 'https://gitlab.com/eks_argo_tf/apps/monitoring-infra.git'
    targetRevision: main
    helm:
      valueFiles:
        - values.yaml
  project: default
  syncPolicy:
    automated:
      prune: true
      selfHeal: true